<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * lnApp User Main home page controller
 *
 * @package    lnApp
 * @subpackage Page/User
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_TemplateDefault_User extends Controller_TemplateDefault {
	protected $auth_required = TRUE;

	// Our acccount object
	protected $ao;

	public function before() {
		// If our action doesnt exist, no point processing any further.
		if (! method_exists($this,'action_'.Request::current()->action()))
			return;

		if (! count($this->secure_actions) OR (! isset($this->secure_actions[Request::current()->action()])))
			throw new Kohana_Exception('Class has no security defined :class, or no security configured for :method',array(':class'=>get_class($this),':method'=>Request::current()->action()));

		parent::before();

		$this->ao = Auth::instance()->get_user();
		if (is_string($this->ao) OR ! $this->ao->loaded())
			throw new Kohana_Exception('Account doesnt exist :account ?',array(':account'=>is_string($this->ao) ? $this->ao : Auth::instance()->get_user()->id));
	}

	public function after() {
		$dc = 'welcome/index';
		$m = sprintf('%s/%s',Request::current()->directory(),Request::current()->controller());

		Breadcrumb::URL(Request::current()->directory(),sprintf('%s/%s',Request::current()->directory(),$dc),FALSE);
		Breadcrumb::URL($m,method_exists($this,'action_menu') ? $m.'/menu' : sprintf('%s/%s',Request::current()->directory(),$dc),FALSE);

		parent::after();
	}
}
?>
